### Class

# Soup HSTSEnforcerDB

since: 3.0

#### Description [src]

    final class Soup.HSTSEnforcerDB : Soup.HSTSEnforcer
      implements Soup.SessionFeature {
      /* No available fields */
    }

Persistent HTTP Strict Transport Security enforcer.

`SoupHSTSEnforcerDB` is a `SoupHSTSEnforcer` that uses a SQLite database as a backend for persistency.

Available since: 3.0

#### Ancestors

- SoupHSTSEnforcer
- GObject

#### Implements

- SoupSessionFeature

#### Constructors

###### soup_hsts_enforcer_db_new

Creates a `SoupHSTSEnforcerDB`.

since: 3.0

#### Instance methods

##### Methods inherited from SoupHSTSEnforcer (6)

###### soup_hsts_enforcer_get_domains

Gets a list of domains for which there are policies in `enforcer`.

since: 3.0

###### soup_hsts_enforcer_get_policies

Gets a list with the policies in `enforcer`.

since: 3.0

###### soup_hsts_enforcer_has_valid_policy

Gets whether `hsts_enforcer` has a currently valid policy for `domain`.

since: 3.0

###### soup_hsts_enforcer_is_persistent

Gets whether `hsts_enforcer` stores policies persistenly.

since: 3.0

###### soup_hsts_enforcer_set_policy

Sets `policy` to `hsts_enforcer`.

since: 3.0

###### soup_hsts_enforcer_set_session_policy

Sets a session policy for `domain`.

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Soup.HSTSEnforcerDB:filename

The filename of the SQLite database where HSTS policies are stored.

since: 3.0

#### Signals

##### Signals inherited from SoupHSTSEnforcer (1)

###### SoupHSTSEnforcer::changed

Emitted when `hsts_enforcer` changes.

since: 3.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct SoupHSTSEnforcerDBClass {
      SoupHSTSEnforcerClass parent_class;

    }

No description available.

###### Class members

`parent_class: SoupHSTSEnforcerClass`
  No description available.